Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config
Class CustomLevelConfig

    java.lang.Object
      org.apache.logging.log4j.core.config.CustomLevelConfig

    @Plugin(name="CustomLevel",
            category="Core",
            printObject=true)
    public final class CustomLevelConfig

extends Object

Descriptor of a custom Level object that is created via configuration.

Method Summary
`static CustomLevelConfig` | `createLevel(String levelName, int intLevel)` Creates a CustomLevelConfig object.
`boolean` | `equals(Object object)`
`int` | `getIntLevel()` Returns the custom level intLevel that determines the strength of the custom level relative to the built-in levels.
`String` | `getLevelName()` Returns the custom level name.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### createLevel

    @PluginFactory
    public static CustomLevelConfig createLevel(@PluginAttribute(value="name")
                                                              String levelName,
                                                              @PluginAttribute(value="intLevel")
                                                              int intLevel)

  Creates a CustomLevelConfig object. This also defines the Level object with a call to `Level.forName(String, int)`.

  Parameters:
    `levelName` - name of the custom level.
    `intLevel` - the intLevel that determines where this level resides relative to the built-in levels
  Returns:
    A CustomLevelConfig object.

### getLevelName

    public String getLevelName()

  Returns the custom level name.

  Returns:
    the custom level name

### getIntLevel

    public int getIntLevel()

  Returns the custom level intLevel that determines the strength of the custom level relative to the built-in levels.

  Returns:
    the custom level intLevel

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.